UHUB(1)

NAME
uhub - a high performance ADC peer-to-peer hub

SYNOPSIS
uhub [options]

DESCRIPTION
uHub is a high performance peer-to-peer hub for the ADC network. Its low memory footprint allows it to handle several thousand users on high-end servers, or a small private hub on embedded hardware.

OPTIONS

-v  Verbose mode, add more -v's for higher verbosity.

-q  Quiet mode, if quiet mode is enabled no output or logs are made.

-f  Fork uhub to background in order to run it as a daemon.

-l logfile
    Log messages to the given logfile (default: stderr)

-L  Log messages to syslog.

-c config
    Specify configuration file (default: /etc/uhub/uhub.conf)

-C  Check configuration files and return. Will print either

-s  Show all configuration parameters. In a format that is compatible with the configuration files.

-S  Show all non-default configuration parameters.

-h  Show the help message.

-u user
    Drop privileges and run as the given user.

-g group
    Drop privileges and run with the given group permissions.

-V  Show the version number

EXAMPLES
To run uhub as a daemon, and log to a file:

uhub  -f -l /var/log/uhub/uhub.log

AUTHOR
This program was written by Jan Vidar Krey <janvidar@extatic.org>

BUG REPORTS
If you find a bug in uhub please report it to http://bugs.extatic.org/